<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Admin/Guide.master"
    Inherits="PowerEasy.Module.General.WebSite.Admin.Contents.CommentGuide" Title="评论管理向导" Codebehind="CommentGuide.aspx.cs" %>

<asp:Content ID="Content1" ContentPlaceHolderID="CphTitle" runat="Server">
    网站节点
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="CphSubMenu" runat="Server">
<div class="guideexpand">　
   <input ID="CphTitle_Search"  class="Searchinputtext" onmouseover="this.className='Searchinputtext_hover';" onmouseout="this.className='Searchinputtext';" onkeyup="return Gosearch(this);"  onblur="return outsearch(this);" onfocus="this.className='Searchinputtext_focus';return beginsearch(this);" value="快速搜索节点" />
    <a id="SearchB" class="searchb" ></a>
    <a id="SearchA" class="searcha" style="" onclick="offsearch();" ></a>   
    </div>
   <table style="width:100%;height:100%;"  oncontextmenu="DoContextMenu(event)">
   <tr><td valign ="top">
    <div style="text-align: left" >
        <table >
            <tr>
                <td align="left">
                    <pe:XLoadTree ID="XLoadNodeTree" RootIcon="WebSite"  runat="server">
                    </pe:XLoadTree>
                </td>
            </tr>
        </table>
    </div>
    </td></tr>
    </table>
<script type="text/javascript">
        function DoContextMenu(event)
{
    event.returnValue = false;
}
</script>
<script language="javascript" type="text/javascript">
<!--
    function going(type, id, specialId, Iseshop) {

    }

    function Reflash_main_right(t) {
        var url = "CommentManage.aspx";
        JumpToMainRight(url);
    }
    var oldvalue;
    function beginsearch(obj) {
        if ($(obj).attr("value") == "快速搜索节点") {
            $("#SearchA").css("display", "block");
            $("#SearchB").css("display", "none");
            $(obj).attr("value", "");
        }
        return true;
    }
    function outsearch(obj) {
        if ($(obj).attr("value") == "") {
            $("#SearchA").css("display", "none");
            $("#SearchB").css("display", "block");
            $(obj).attr("value", "快速搜索节点");
        }
        return true;
    }
    function offsearch(obj) {
        $(".searchb").show();
        $(".searcha").hide();
        $("#CphTitle_Search").attr("value", "快速搜索节点");
        document.getElementById('treedata').innerHTML = tree;
        return true;
    }
    function Gosearch(obj) {
        if ($(obj).attr("value") != "") {
            if ($(obj).attr("value") != oldvalue) {
                var newXmlSrc = XmlSrc + "?IsSearch=true&NodeName=" + encodeURI($(obj).attr("value"));
                var newtree = new WebFXLoadTree(RootText, newXmlSrc, RootAction, "", rootIcon, rootIcon, RootTarget);
                $("#treedata").html(newtree.toString());
                oldvalue = $(obj).attr("value");
            }
        } else {
            document.getElementById('treedata').innerHTML = tree;
            oldvalue = "";
        }
        return true;
    }
//-->
    </script>
</asp:Content>
